Page MenuHomePhabricator

Tool "masscamps" loads jquery and angularjs from ajax.googleapis.com
Closed, ResolvedPublic

Description

https://tools.wmflabs.org/masscamps/: https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js
https://tools.wmflabs.org/masscamps/: https://ajax.googleapis.com/ajax/libs/angularjs/1.0.7/angular.min.js

Loading from external providers are discouraged. Please see parent tasks and J65.
In your case a direct replacement would be:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2017, 11:03 PM

Yuvi is the only maintainer of this tool. Should I poke @bd808? (Just poked anyhow)

Mentioned in SAL (#wikimedia-cloud) [2017-08-07T04:13:41Z] <bd808> Edited public_html/index.html for T172660

Mentioned in SAL (#wikimedia-cloud) [2017-08-07T04:14:22Z] <bd808> Edited public_html/index.html for T172660

Mentioned in SAL (#wikimedia-cloud) [2017-08-07T04:13:41Z] <bd808> Edited public_html/index.html for T172660

This one was me tagging the wrong project.

bd808 triaged this task as Low priority.Aug 7 2017, 4:19 AM

The proper fix for this involves some sort of change to the build system that created the content, but the currently deployed version has been live hacked to use tools-static.

I don't think anyone is using this project, and I've no time, so am happy to just shut the tool :)

yuvipanda closed this task as Resolved.Aug 19 2017, 6:32 PM
yuvipanda claimed this task.
yuvipanda removed a subscriber: yuvipanda.

I've shut it down.